Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037823
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementmajoralways2018-02-02 12:562018-02-22 18:19
ReporterngarciaView Statuspublic 
Assigned Tomarkmm82 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision9bf627820d9e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037823: Sales tax selected in Return To Vendor if the returned goods receipt does not have a purchase order related

DescriptionSales tax selected in Return To Vendor if the returned goods receipt does not have a purchase order related
Steps To ReproduceAs group admin role:
   Create a Purchase Order for F&B España Region Norte, add a product and book it
   Create a Goods Receipt from it
   Create a Return to Vendor and select the previously created goods receipt
   Check 'Adquisiciones IVA 21%' tax rate is selected. This is correct

   Create a Goods Receipt for F&B España Region Norte, add a product and complete it
   Create a Return to Vendor and select the previously created goods receipt
   Check 'Entregas IVA 21%' tax rate is selected. This is wrong
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0102230)
markmm82 (developer)
2018-02-06 21:04

Test Plan
As group admin role:
   Create a Purchase Order for F&B España Region Norte, add a product and book it
   Create a Goods Receipt from it
   Create a Return to Vendor and select the previously created goods receipt
   Check 'Adquisiciones IVA 21%' tax rate is selected. This is correct

   Create a Goods Receipt for F&B España Region Norte, add a product and complete it
   Create a Return to Vendor and select the previously created goods receipt
   Check 'Adquisiciones IVA 21%' tax rate is selected. This is correct

As group admin role:
   Create a Sales Order for F&B España Region Norte, add a product and book it
   Create a Goods Shipment from it
   Create a Return from Customer and select the previously created goods shipment
   Check 'Entregas IVA 21%' tax rate is selected. This is correct

   Create a Goods Shipment for F&B España Region Norte, add a product and complete it
   Create a Return from Customer and select the previously created goods shipment
   Check 'Entregas IVA 21%' tax rate is selected. This is correct
(0102294)
hgbot (developer)
2018-02-09 10:16

Repository: erp/devel/pi
Changeset: 9bf627820d9ede8ecc7470126eef1f35ba019647
Author: Mark <markmm82 <at> gmail.com>
Date: Fri Feb 09 09:43:33 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/9bf627820d9ede8ecc7470126eef1f35ba019647 [^]

Fixes issue 37823: Sales tax selected in Return To Vendor if the returned goods
receipt does not have a purchase order related

A wrong sales tax was selected in Return To Vendor if the returned goods receipt
does not have a purchase order related.

The Tax field has the Tax Id value of the receipt line being copied, in case
that the good receipt line was created from an order then it will have the tax id
used on the order line. But in case the goods receipt line was created manually, as
it lines aren't related to any order lines, the tax received will be NULL, so it is
needed to get the default Tax to be used in the new generated returned line.

In the case of a Return to Vendor is needed to return the default Purchase Tax of the
product. In the case of Return from Customer is neede to use the default Sales tax
of the product. It was fixed passing this parameter taking into account the processed
order is sales transaction or not.

---
M src/org/openbravo/common/actionhandler/SRMOPickEditLines.java
---
(0102295)
dmiguelez (developer)
2018-02-09 10:17

Code Review + Testing Ok
(0102738)
hudsonbot (developer)
2018-02-22 18:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-02-02 12:56 ngarcia New Issue
2018-02-02 12:56 ngarcia Assigned To => Triage Finance
2018-02-02 12:56 ngarcia Modules => Core
2018-02-02 12:56 ngarcia Triggers an Emergency Pack => No
2018-02-02 12:57 ngarcia Issue Monitored: networkb
2018-02-06 11:20 dmiguelez Assigned To Triage Finance => markmm82
2018-02-06 17:18 markmm82 Status new => scheduled
2018-02-06 21:04 markmm82 Note Added: 0102230
2018-02-09 10:16 hgbot Checkin
2018-02-09 10:16 hgbot Note Added: 0102294
2018-02-09 10:16 hgbot Status scheduled => resolved
2018-02-09 10:16 hgbot Resolution open => fixed
2018-02-09 10:16 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9bf627820d9ede8ecc7470126eef1f35ba019647 [^]
2018-02-09 10:17 dmiguelez Review Assigned To => dmiguelez
2018-02-09 10:17 dmiguelez Note Added: 0102295
2018-02-09 10:17 dmiguelez Status resolved => closed
2018-02-09 10:17 dmiguelez Fixed in Version => 3.0PR18Q2
2018-02-22 18:19 hudsonbot Checkin
2018-02-22 18:19 hudsonbot Note Added: 0102738


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker